/// <reference types="node" />
import * as beet from '@metaplex-foundation/beet';
import * as web3 from '@solana/web3.js';
import * as beetSolana from '@metaplex-foundation/beet-solana';
export type PayoutTicketArgs = {
    used: boolean;
};
export declare const payoutTicketDiscriminator: number[];
export declare class PayoutTicket implements PayoutTicketArgs {
    readonly used: boolean;
    private constructor();
    static fromArgs(args: PayoutTicketArgs): PayoutTicket;
    static fromAccountInfo(accountInfo: web3.AccountInfo<Buffer>, offset?: number): [PayoutTicket, number];
    static fromAccountAddress(connection: web3.Connection, address: web3.PublicKey): Promise<PayoutTicket>;
    static gpaBuilder(programId?: web3.PublicKey): beetSolana.GpaBuilder<{
        accountDiscriminator: any;
        used: any;
    }>;
    static deserialize(buf: Buffer, offset?: number): [PayoutTicket, number];
    serialize(): [Buffer, number];
    static get byteSize(): number;
    static getMinimumBalanceForRentExemption(connection: web3.Connection, commitment?: web3.Commitment): Promise<number>;
    static hasCorrectByteSize(buf: Buffer, offset?: number): boolean;
    pretty(): {
        used: boolean;
    };
}
export declare const payoutTicketBeet: beet.BeetStruct<PayoutTicket, PayoutTicketArgs & {
    accountDiscriminator: number[];
}>;
