/// <reference types="node" />
import * as beet from '@metaplex-foundation/beet';
import * as web3 from '@solana/web3.js';
import * as beetSolana from '@metaplex-foundation/beet-solana';
import { Creator } from '../types/Creator';
export type PrimaryMetadataCreatorsArgs = {
    creators: Creator[];
};
export declare const primaryMetadataCreatorsDiscriminator: number[];
export declare class PrimaryMetadataCreators implements PrimaryMetadataCreatorsArgs {
    readonly creators: Creator[];
    private constructor();
    static fromArgs(args: PrimaryMetadataCreatorsArgs): PrimaryMetadataCreators;
    static fromAccountInfo(accountInfo: web3.AccountInfo<Buffer>, offset?: number): [PrimaryMetadataCreators, number];
    static fromAccountAddress(connection: web3.Connection, address: web3.PublicKey): Promise<PrimaryMetadataCreators>;
    static gpaBuilder(programId?: web3.PublicKey): beetSolana.GpaBuilder<{
        accountDiscriminator: any;
        creators: any;
    }>;
    static deserialize(buf: Buffer, offset?: number): [PrimaryMetadataCreators, number];
    serialize(): [Buffer, number];
    static byteSize(args: PrimaryMetadataCreatorsArgs): number;
    static getMinimumBalanceForRentExemption(args: PrimaryMetadataCreatorsArgs, connection: web3.Connection, commitment?: web3.Commitment): Promise<number>;
    pretty(): {
        creators: Creator[];
    };
}
export declare const primaryMetadataCreatorsBeet: beet.FixableBeetStruct<PrimaryMetadataCreators, PrimaryMetadataCreatorsArgs & {
    accountDiscriminator: number[];
}>;
