import * as beet from '@metaplex-foundation/beet';
import * as web3 from '@solana/web3.js';
export type BuyInstructionArgs = {
    tradeHistoryBump: number;
    vaultOwnerBump: number;
};
export declare const buyStruct: beet.BeetArgsStruct<BuyInstructionArgs & {
    instructionDiscriminator: number[];
}>;
export type BuyInstructionAccounts = {
    market: web3.PublicKey;
    sellingResource: web3.PublicKey;
    userTokenAccount: web3.PublicKey;
    userWallet: web3.PublicKey;
    tradeHistory: web3.PublicKey;
    treasuryHolder: web3.PublicKey;
    newMetadata: web3.PublicKey;
    newEdition: web3.PublicKey;
    masterEdition: web3.PublicKey;
    newMint: web3.PublicKey;
    editionMarker: web3.PublicKey;
    vault: web3.PublicKey;
    owner: web3.PublicKey;
    newTokenAccount: web3.PublicKey;
    masterEditionMetadata: web3.PublicKey;
    clock: web3.PublicKey;
    rent?: web3.PublicKey;
    tokenMetadataProgram: web3.PublicKey;
    tokenProgram?: web3.PublicKey;
    systemProgram?: web3.PublicKey;
    anchorRemainingAccounts?: web3.AccountMeta[];
};
export declare const buyInstructionDiscriminator: number[];
export declare function createBuyInstruction(accounts: BuyInstructionAccounts, args: BuyInstructionArgs, programId?: web3.PublicKey): web3.TransactionInstruction;
