import * as beet from '@metaplex-foundation/beet';
import * as web3 from '@solana/web3.js';
export type ChangeMarketInstructionArgs = {
    newName: beet.COption<string>;
    newDescription: beet.COption<string>;
    mutable: beet.COption<boolean>;
    newPrice: beet.COption<beet.bignum>;
    newPiecesInOneWallet: beet.COption<beet.bignum>;
};
export declare const changeMarketStruct: beet.FixableBeetArgsStruct<ChangeMarketInstructionArgs & {
    instructionDiscriminator: number[];
}>;
export type ChangeMarketInstructionAccounts = {
    market: web3.PublicKey;
    owner: web3.PublicKey;
    clock: web3.PublicKey;
    anchorRemainingAccounts?: web3.AccountMeta[];
};
export declare const changeMarketInstructionDiscriminator: number[];
export declare function createChangeMarketInstruction(accounts: ChangeMarketInstructionAccounts, args: ChangeMarketInstructionArgs, programId?: web3.PublicKey): web3.TransactionInstruction;
