import * as beet from '@metaplex-foundation/beet';
import * as web3 from '@solana/web3.js';
export type ClaimResourceInstructionArgs = {
    vaultOwnerBump: number;
};
export declare const claimResourceStruct: beet.BeetArgsStruct<ClaimResourceInstructionArgs & {
    instructionDiscriminator: number[];
}>;
export type ClaimResourceInstructionAccounts = {
    market: web3.PublicKey;
    treasuryHolder: web3.PublicKey;
    sellingResource: web3.PublicKey;
    sellingResourceOwner: web3.PublicKey;
    vault: web3.PublicKey;
    metadata: web3.PublicKey;
    owner: web3.PublicKey;
    destination: web3.PublicKey;
    clock: web3.PublicKey;
    tokenProgram?: web3.PublicKey;
    tokenMetadataProgram: web3.PublicKey;
    systemProgram?: web3.PublicKey;
    anchorRemainingAccounts?: web3.AccountMeta[];
};
export declare const claimResourceInstructionDiscriminator: number[];
export declare function createClaimResourceInstruction(accounts: ClaimResourceInstructionAccounts, args: ClaimResourceInstructionArgs, programId?: web3.PublicKey): web3.TransactionInstruction;
