import * as beet from '@metaplex-foundation/beet';
import * as web3 from '@solana/web3.js';
import { GatingConfig } from '../types/GatingConfig';
export type CreateMarketInstructionArgs = {
    treasuryOwnerBump: number;
    name: string;
    description: string;
    mutable: boolean;
    price: beet.bignum;
    piecesInOneWallet: beet.COption<beet.bignum>;
    startDate: beet.bignum;
    endDate: beet.COption<beet.bignum>;
    gatingConfig: beet.COption<GatingConfig>;
};
export declare const createMarketStruct: beet.FixableBeetArgsStruct<CreateMarketInstructionArgs & {
    instructionDiscriminator: number[];
}>;
export type CreateMarketInstructionAccounts = {
    market: web3.PublicKey;
    store: web3.PublicKey;
    sellingResourceOwner: web3.PublicKey;
    sellingResource: web3.PublicKey;
    mint: web3.PublicKey;
    treasuryHolder: web3.PublicKey;
    owner: web3.PublicKey;
    systemProgram?: web3.PublicKey;
    anchorRemainingAccounts?: web3.AccountMeta[];
};
export declare const createMarketInstructionDiscriminator: number[];
export declare function createCreateMarketInstruction(accounts: CreateMarketInstructionAccounts, args: CreateMarketInstructionArgs, programId?: web3.PublicKey): web3.TransactionInstruction;
