import * as beet from '@metaplex-foundation/beet';
import * as web3 from '@solana/web3.js';
export type CreateStoreInstructionArgs = {
    name: string;
    description: string;
};
export declare const createStoreStruct: beet.FixableBeetArgsStruct<CreateStoreInstructionArgs & {
    instructionDiscriminator: number[];
}>;
export type CreateStoreInstructionAccounts = {
    admin: web3.PublicKey;
    store: web3.PublicKey;
    systemProgram?: web3.PublicKey;
    anchorRemainingAccounts?: web3.AccountMeta[];
};
export declare const createStoreInstructionDiscriminator: number[];
export declare function createCreateStoreInstruction(accounts: CreateStoreInstructionAccounts, args: CreateStoreInstructionArgs, programId?: web3.PublicKey): web3.TransactionInstruction;
