import * as beet from '@metaplex-foundation/beet';
import * as web3 from '@solana/web3.js';
export type InitSellingResourceInstructionArgs = {
    masterEditionBump: number;
    vaultOwnerBump: number;
    maxSupply: beet.COption<beet.bignum>;
};
export declare const initSellingResourceStruct: beet.FixableBeetArgsStruct<InitSellingResourceInstructionArgs & {
    instructionDiscriminator: number[];
}>;
export type InitSellingResourceInstructionAccounts = {
    store: web3.PublicKey;
    admin: web3.PublicKey;
    sellingResource: web3.PublicKey;
    sellingResourceOwner: web3.PublicKey;
    resourceMint: web3.PublicKey;
    masterEdition: web3.PublicKey;
    metadata: web3.PublicKey;
    vault: web3.PublicKey;
    owner: web3.PublicKey;
    resourceToken: web3.PublicKey;
    rent?: web3.PublicKey;
    tokenProgram?: web3.PublicKey;
    systemProgram?: web3.PublicKey;
    anchorRemainingAccounts?: web3.AccountMeta[];
};
export declare const initSellingResourceInstructionDiscriminator: number[];
export declare function createInitSellingResourceInstruction(accounts: InitSellingResourceInstructionAccounts, args: InitSellingResourceInstructionArgs, programId?: web3.PublicKey): web3.TransactionInstruction;
