import * as beet from '@metaplex-foundation/beet';
import * as web3 from '@solana/web3.js';
import { Creator } from '../types/Creator';
export type SavePrimaryMetadataCreatorsInstructionArgs = {
    primaryMetadataCreatorsBump: number;
    creators: Creator[];
};
export declare const savePrimaryMetadataCreatorsStruct: beet.FixableBeetArgsStruct<SavePrimaryMetadataCreatorsInstructionArgs & {
    instructionDiscriminator: number[];
}>;
export type SavePrimaryMetadataCreatorsInstructionAccounts = {
    admin: web3.PublicKey;
    metadata: web3.PublicKey;
    primaryMetadataCreators: web3.PublicKey;
    systemProgram?: web3.PublicKey;
    anchorRemainingAccounts?: web3.AccountMeta[];
};
export declare const savePrimaryMetadataCreatorsInstructionDiscriminator: number[];
export declare function createSavePrimaryMetadataCreatorsInstruction(accounts: SavePrimaryMetadataCreatorsInstructionAccounts, args: SavePrimaryMetadataCreatorsInstructionArgs, programId?: web3.PublicKey): web3.TransactionInstruction;
