import * as beet from '@metaplex-foundation/beet';
import * as web3 from '@solana/web3.js';
export type WithdrawInstructionArgs = {
    treasuryOwnerBump: number;
    payoutTicketBump: number;
};
export declare const withdrawStruct: beet.BeetArgsStruct<WithdrawInstructionArgs & {
    instructionDiscriminator: number[];
}>;
export type WithdrawInstructionAccounts = {
    market: web3.PublicKey;
    sellingResource: web3.PublicKey;
    metadata: web3.PublicKey;
    treasuryHolder: web3.PublicKey;
    treasuryMint: web3.PublicKey;
    owner: web3.PublicKey;
    destination: web3.PublicKey;
    funder: web3.PublicKey;
    payer: web3.PublicKey;
    payoutTicket: web3.PublicKey;
    rent?: web3.PublicKey;
    clock: web3.PublicKey;
    tokenProgram?: web3.PublicKey;
    associatedTokenProgram: web3.PublicKey;
    systemProgram?: web3.PublicKey;
    anchorRemainingAccounts?: web3.AccountMeta[];
};
export declare const withdrawInstructionDiscriminator: number[];
export declare function createWithdrawInstruction(accounts: WithdrawInstructionAccounts, args: WithdrawInstructionArgs, programId?: web3.PublicKey): web3.TransactionInstruction;
